Beefy Boxes and Bandwidth Generously Provided by pair Networks
go ahead... be a heretic
 
PerlMonks  

Re^3: ssh with perl

by daxim (Chaplain)
on Sep 17, 2013 at 15:48 UTC ( #1054479=note: print w/ replies, xml ) Need Help??


in reply to Re^2: ssh with perl
in thread ssh with perl

I suspect that the installation of Net::SSH::Perl or one of its many dependencies fails on your operating system; as a result, the module actually did not get installed. To confirm this, please provide the full output of that cpanm command.


Comment on Re^3: ssh with perl
Replies are listed 'Best First'.
Re^4: ssh with perl
by varalaxmibbnl (Acolyte) on Sep 18, 2013 at 13:32 UTC
    thanks for reply... i,m still getting the same error (Can't locate Net/SSH/Perl.pm in @INC (@INC contains: /etc/perl /usr/local/lib/perl/5.10.1 /usr/local/share/perl/5.10.1 /usr/lib/perl5 /usr/share/perl5 /usr/lib/perl/5.10 /usr/share/perl/5.10 /usr/local/lib/site_perl .) at netssh.pl line 5. BEGIN failed--compilation aborted at netssh.pl line 5.).... plz suggest me how to install Net::SSH::Perl on ubuntu... thanks in advance
      What happens if you run

          cpanm --sudo Net::SSH::Perl

      ? Give the full output.

        thank u so much for reply...... when i run this (cpanm --sudo Net::SSH::Perl) i got the following output.........

        (--> Working on Net::SSH::Perl Fetching http://www.cpan.org/authors/id/S/SC/SCHWIGON/Net-SSH-Perl-1.3 +6.tar.gz ... OK Configuring Net-SSH-Perl-1.36 ... OK ==> Found dependencies: Crypt::DSA, Convert::PEM, String::CRC32, Crypt +::RSA, Crypt::IDEA, Digest::HMAC_SHA1, Math::Pari, Digest::HMAC_MD5, +Digest::BubbleBabble, Crypt::DH, Math::GMP --> Working on Crypt::DSA Fetching http://www.cpan.org/authors/id/A/AD/ADAMK/Crypt-DSA-1.17.tar. +gz ... OK Configuring Crypt-DSA-1.17 ... OK ==> Found dependencies: Data::Buffer --> Working on Data::Buffer Fetching http://www.cpan.org/authors/id/B/BT/BTROTT/Data-Buffer-0.04.t +ar.gz ... OK Configuring Data-Buffer-0.04 ... OK Building and testing Data-Buffer-0.04 ... OK Successfully installed Data-Buffer-0.04 Building and testing Crypt-DSA-1.17 ... OK Successfully installed Crypt-DSA-1.17 --> Working on Convert::PEM Fetching http://www.cpan.org/authors/id/B/BT/BTROTT/Convert-PEM-0.08.t +ar.gz ... OK Configuring Convert-PEM-0.08 ... OK ==> Found dependencies: Crypt::DES_EDE3, Convert::ASN1, Class::ErrorHa +ndler --> Working on Crypt::DES_EDE3 Fetching http://www.cpan.org/authors/id/B/BT/BTROTT/Crypt-DES_EDE3-0.0 +1.tar.gz ... OK Configuring Crypt-DES_EDE3-0.01 ... OK ==> Found dependencies: Crypt::DES --> Working on Crypt::DES Fetching http://www.cpan.org/authors/id/D/DP/DPARIS/Crypt-DES-2.07.tar +.gz ... OK Configuring Crypt-DES-2.07 ... OK Building and testing Crypt-DES-2.07 ... OK Successfully installed Crypt-DES-2.07 Building and testing Crypt-DES_EDE3-0.01 ... OK Successfully installed Crypt-DES_EDE3-0.01 --> Working on Convert::ASN1 Fetching http://www.cpan.org/authors/id/G/GB/GBARR/Convert-ASN1-0.26.t +ar.gz ... OK Configuring Convert-ASN1-0.26 ... OK Building and testing Convert-ASN1-0.26 ... OK Successfully installed Convert-ASN1-0.26 --> Working on Class::ErrorHandler Fetching http://www.cpan.org/authors/id/T/TO/TOKUHIROM/Class-ErrorHand +ler-0.03.tar.gz ... OK Configuring Class-ErrorHandler-0.03 ... OK Building and testing Class-ErrorHandler-0.03 ... OK Successfully installed Class-ErrorHandler-0.03 Building and testing Convert-PEM-0.08 ... OK Successfully installed Convert-PEM-0.08 --> Working on String::CRC32 Fetching http://www.cpan.org/authors/id/S/SO/SOENKE/String-CRC32-1.4.t +ar.gz ... OK Configuring String-CRC32-1.4 ... OK Building and testing String-CRC32-1.4 ... OK Successfully installed String-CRC32-1.4 --> Working on Crypt::RSA Fetching http://www.cpan.org/authors/id/V/VI/VIPUL/Crypt-RSA-1.99.tar. +gz ... OK Configuring Crypt-RSA-1.97 ... OK ==> Found dependencies: Tie::EncryptedHash, Crypt::Blowfish, Crypt::Ra +ndom, Convert::ASCII::Armour, Crypt::CBC, Math::Pari, Digest::MD2, Cl +ass::Loader, Sort::Versions, Crypt::Primes --> Working on Tie::EncryptedHash Fetching http://www.cpan.org/authors/id/V/VI/VIPUL/Tie-EncryptedHash-1 +.24.tar.gz ... OK Configuring Tie-EncryptedHash-1.24 ... OK ==> Found dependencies: Crypt::CBC, Crypt::Blowfish --> Working on Crypt::CBC Fetching http://www.cpan.org/authors/id/L/LD/LDS/Crypt-CBC-2.33.tar.gz + ... OK Configuring Crypt-CBC-2.33 ... OK Building and testing Crypt-CBC-2.33 ... OK Successfully installed Crypt-CBC-2.33 --> Working on Crypt::Blowfish Fetching http://www.cpan.org/authors/id/D/DP/DPARIS/Crypt-Blowfish-2.1 +4.tar.gz ... OK Configuring Crypt-Blowfish-2.14 ... OK Building and testing Crypt-Blowfish-2.14 ... OK Successfully installed Crypt-Blowfish-2.14 Building and testing Tie-EncryptedHash-1.24 ... OK Successfully installed Tie-EncryptedHash-1.24 --> Working on Crypt::Random Fetching http://www.cpan.org/authors/id/V/VI/VIPUL/Crypt-Random-1.25.t +ar.gz ... OK Configuring Crypt-Random-1.25 ... OK ==> Found dependencies: Math::Pari, Class::Loader --> Working on Math::Pari Fetching http://www.cpan.org/authors/id/I/IL/ILYAZ/modules/Math-Pari-2 +.01080605.tar.gz ... OK Configuring Math-Pari-2.01080605 ... N/A ! Configure failed for Math-Pari-2.01080605. See /home/bbnladmin/.cpan +m/work/1379567866.1970/build.log for details. --> Working on Class::Loader Fetching http://www.cpan.org/authors/id/V/VI/VIPUL/Class-Loader-2.03.t +ar.gz ... OK Configuring Class-Loader-2.03 ... OK Building and testing Class-Loader-2.03 ... OK Successfully installed Class-Loader-2.03 ! Installing the dependencies failed: Module 'Math::Pari' is not insta +lled ! Bailing out the installation for Crypt-Random-1.25. --> Working on Convert::ASCII::Armour Fetching http://www.cpan.org/authors/id/V/VI/VIPUL/Convert-ASCII-Armou +r-1.4.tar.gz ... OK Configuring Convert-ASCII-Armour-1.4 ... OK Building and testing Convert-ASCII-Armour-1.4 ... OK Successfully installed Convert-ASCII-Armour-1.4 --> Working on Digest::MD2 Fetching http://www.cpan.org/authors/id/G/GA/GAAS/Digest-MD2-2.03.tar. +gz ... OK Configuring Digest-MD2-2.03 ... OK Building and testing Digest-MD2-2.03 ... OK Successfully installed Digest-MD2-2.03 --> Working on Sort::Versions Fetching http://www.cpan.org/authors/id/E/ED/EDAVIS/Sort-Versions-1.5. +tar.gz ... OK Configuring Sort-Versions-1.5 ... OK Building and testing Sort-Versions-1.5 ... OK Successfully installed Sort-Versions-1.5 --> Working on Crypt::Primes Fetching http://www.cpan.org/authors/id/V/VI/VIPUL/Crypt-Primes-0.50.t +ar.gz ... OK Configuring Crypt-Primes-0.50 ... OK ==> Found dependencies: Math::Pari, Crypt::Random ! Installing the dependencies failed: Module 'Math::Pari' is not insta +lled, Module 'Crypt::Random' is not installed ! Bailing out the installation for Crypt-Primes-0.50. ! Installing the dependencies failed: Module 'Crypt::Random' is not in +stalled, Module 'Math::Pari' is not installed, Module 'Crypt::Primes' + is not installed ! Bailing out the installation for Crypt-RSA-1.97. --> Working on Crypt::IDEA Fetching http://www.cpan.org/authors/id/D/DP/DPARIS/Crypt-IDEA-1.10.ta +r.gz ... OK Configuring Crypt-IDEA-1.10 ... OK Building and testing Crypt-IDEA-1.10 ... OK Successfully installed Crypt-IDEA-1.10 --> Working on Digest::HMAC_SHA1 Fetching http://www.cpan.org/authors/id/G/GA/GAAS/Digest-HMAC-1.03.tar +.gz ... OK Configuring Digest-HMAC-1.03 ... OK Building and testing Digest-HMAC-1.03 ... OK Successfully installed Digest-HMAC-1.03 --> Working on Digest::BubbleBabble Fetching http://www.cpan.org/authors/id/B/BT/BTROTT/Digest-BubbleBabbl +e-0.02.tar.gz ... OK Configuring Digest-BubbleBabble-0.02 ... OK Building and testing Digest-BubbleBabble-0.02 ... OK Successfully installed Digest-BubbleBabble-0.02 --> Working on Crypt::DH Fetching http://www.cpan.org/authors/id/M/MI/MITHALDU/Crypt-DH-0.07.ta +r.gz ... OK Configuring Crypt-DH-0.07 ... OK ==> Found dependencies: Math::BigInt::Pari --> Working on Math::BigInt::Pari Fetching http://www.cpan.org/authors/id/P/PJ/PJACKLAM/Math-BigInt-Pari +-1.17.tar.gz ... OK Configuring Math-BigInt-Pari-1.17 ... OK ==> Found dependencies: Math::Pari ! Installing the dependencies failed: Module 'Math::Pari' is not insta +lled ! Bailing out the installation for Math-BigInt-Pari-1.17. ! Installing the dependencies failed: Module 'Math::BigInt::Pari' is n +ot installed ! Bailing out the installation for Crypt-DH-0.07. --> Working on Math::GMP Fetching http://www.cpan.org/authors/id/T/TU/TURNSTEP/Math-GMP-2.06.ta +r.gz ... OK Configuring Math-GMP-2.06 ... OK Building and testing Math-GMP-2.06 ... FAIL ! Installing Math::GMP failed. See /home/bbnladmin/.cpanm/work/1379567 +866.1970/build.log for details. Retry with --force to force install i +t. ! Installing the dependencies failed: Module 'Crypt::RSA' is not insta +lled, Module 'Math::Pari' is not installed, Module 'Crypt::DH' is not + installed, Module 'Math::GMP' is not installed ! Bailing out the installation for Net-SSH-Perl-1.36. 18 distributions installed)
Re^4: ssh with perl
by varalaxmibbnl (Acolyte) on Sep 18, 2013 at 13:29 UTC
    thanks for reply can u plz suggest me how to install Net::SSH::Perl on ubuntu

Log In?
Username:
Password:

What's my password?
Create A New User
Node Status?
node history
Node Type: note [id://1054479]
help
Chatterbox?
and the web crawler heard nothing...

How do I use this? | Other CB clients
Other Users?
Others browsing the Monastery: (5)
As of 2015-07-30 02:26 GMT
Sections?
Information?
Find Nodes?
Leftovers?
    Voting Booth?

    The top three priorities of my open tasks are (in descending order of likelihood to be worked on) ...









    Results (269 votes), past polls